﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UpdatezipCreator
{
    class UpdateEntryInfo
    {
        public string FileName = null;
        public string FilePath = null;
        public string TargetPath = null;
        public string GetTargetPathTranslatedToWindowsPath
        {
            get
            {
                return TargetPath.Replace(@"/", @"\");
            }
        }

        public UpdateEntryInfo()
        {
        }

        public UpdateEntryInfo(string FileName, string FilePath, string TargetPath)
        {
            this.FileName = FileName;
            this.FilePath = FilePath;
            this.TargetPath = TargetPath;
        }
    }
}
