﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UpdatezipCreator
{
    public partial class insertFunctionForm : Form
    {
        #region Variables
        public scriptFunctionsList _List;
        #endregion

        public insertFunctionForm(string _FileName)
        {
            InitializeComponent();
            _List = new scriptFunctionsList(_FileName);
            RefreshList();
        }

        private void RefreshList()
        {
            lbFuncList.Items.Clear();
            foreach (scriptFunctionsListEntry entry in _List._List) lbFuncList.Items.Add(entry.Name);

            if (lbFuncList.Items.Count > 0) lbFuncList.SelectedIndex = 0;
        }

        private void lbFuncList_SelectedIndexChanged(object sender, EventArgs e)
        {
            int index = lbFuncList.SelectedIndex;
            lDescription.Text = _List._List[index].Description;
            lFunction.Text = _List._List[index].Function;
            lExample.Text = _List._List[index].Example;
        }

        public string ReturnTheTextToInsert()
        {
            return _List._List[lbFuncList.SelectedIndex].Function;
        }

    }
}
